Loading...
Searching...
No Matches
GU_VDBPointList< VectorType > Struct Template Reference

Houdini point attribute wrapper. More...

`#include <openvdb_houdini/GU_VDBPointTools.h>`

## Public Types

using | Ptr = UT_SharedPtr<GU_VDBPointList>
using | ConstPtr = UT_SharedPtr<const GU_VDBPointList>
using | PosType = VectorType
using | ScalarType = typename PosType::value_type

## Public Member Functions

| GU_VDBPointList (const GU_Detail &detail, const GA_PointGroup *group=nullptr)
size_t | size () const
bool | hasVelocity () const
bool | hasRadius () const
void | getPos (size_t n, PosType &xyz) const
void | getVelocity (size_t n, PosType &v) const
void | getRadius (size_t n, ScalarType &r) const
GA_Offset | offsetFromIndex (size_t n) const
void | getPosFromOffset (const GA_Offset offset, PosType &xyz) const
void | getVelocityFromOffset (const GA_Offset offset, PosType &v) const
void | getRadiusFromOffset (const GA_Offset offset, ScalarType &r) const

## Static Public Member Functions

static Ptr | create (const GU_Detail &detail, const GA_PointGroup *group=nullptr)

## Detailed Description

template<typename VectorType>
struct GU_VDBPointList< VectorType >

Houdini point attribute wrapper.

## Member Typedef Documentation

## ConstPtr

template<typename VectorType>

using ConstPtr = UT_SharedPtr<const GU_VDBPointList>

## PosType

template<typename VectorType>

using PosType = VectorType

## Ptr

template<typename VectorType>

using Ptr = UT_SharedPtr<GU_VDBPointList>

## ScalarType

template<typename VectorType>

using ScalarType = typename PosType::value_type

## Constructor & Destructor Documentation

## GU_VDBPointList()

template<typename VectorType>

GU_VDBPointList | ( | const GU_Detail & | detail,
|  | const GA_PointGroup * | group = nullptr )

inline

## Member Function Documentation

## create()

template<typename VectorType>

Ptr create | ( | const GU_Detail & | detail,
|  | const GA_PointGroup * | group = nullptr )

inline static

## getPos()

template<typename VectorType>

void getPos | ( | size_t | n,
|  | PosType & | xyz ) const

inline

## getPosFromOffset()

template<typename VectorType>

void getPosFromOffset | ( | const GA_Offset | offset,
|  | PosType & | xyz ) const

inline

## getRadius()

template<typename VectorType>

void getRadius | ( | size_t | n,
|  | ScalarType & | r ) const

inline

## getRadiusFromOffset()

template<typename VectorType>

void getRadiusFromOffset | ( | const GA_Offset | offset,
|  | ScalarType & | r ) const

inline

## getVelocity()

template<typename VectorType>

void getVelocity | ( | size_t | n,
|  | PosType & | v ) const

inline

## getVelocityFromOffset()

template<typename VectorType>

void getVelocityFromOffset | ( | const GA_Offset | offset,
|  | PosType & | v ) const

inline

## hasRadius()

template<typename VectorType>

bool hasRadius | ( |  | ) | const

inline

## hasVelocity()

template<typename VectorType>

bool hasVelocity | ( |  | ) | const

inline

## offsetFromIndex()

template<typename VectorType>

GA_Offset offsetFromIndex | ( | size_t | n | ) | const

inline

## size()

template<typename VectorType>

size_t size | ( |  | ) | const

inline